Bug 194474 - [maintainer update] net/xrdp: Fix PAM authentication failure
Summary: [maintainer update] net/xrdp: Fix PAM authentication failure
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-20 01:09 UTC by Koichiro Iwao
Modified: 2014-11-15 00:30 UTC (History)
2 users (show)

See Also:


Attachments
patch (11.45 KB, patch)
2014-10-20 01:09 UTC, Koichiro Iwao
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2014-10-20 01:09:15 UTC
Created attachment 148483 [details]
patch

- Fix PAM authentication failure after recent base update [1][2]
- Replace local patch with new patch from upstream [3]
- Rename patch files, remove dirrms, use @sample, some plist fixes

[1] http://svnweb.freebsd.org/base?view=revision&revision=271256
[2] https://github.com/neutrinolabs/xrdp/pull/176
[3] https://github.com/neutrinolabs/xrdp/commit/aa983d2b460ea3bc4d3b4483a53c1b13b155d4ef


NOTE: files/patch-sesman__session_1.patch is renamed to files/patch-sesman__session.c
Comment 1 John Marino freebsd_committer 2014-11-01 10:11:50 UTC
Unfortunately there are no test logs.
I'm reluctantly promoting this PR though.
Comment 2 commit-hook freebsd_committer 2014-11-15 00:26:57 UTC
A commit references this bug:

Author: robak
Date: Sat Nov 15 00:26:20 UTC 2014
New revision: 372583
URL: https://svnweb.freebsd.org/changeset/ports/372583

Log:
  net/xrdp: fix PAM authentication issue

  - Fix PAM authentication failure after recent base update
  - Replace local patch with new patch from upstream
  - Rename patch files, remove dirrms, use @sample, some plist fixes

  PR:		194474
  Submitted by:	Koichiro Iwao <meta+ports@vmeta.jp>
  Approved by:	mentors (implicit)

Changes:
  head/net/xrdp/Makefile
  head/net/xrdp/files/patch-common__os_calls.c
  head/net/xrdp/files/patch-sesman__session.c
  head/net/xrdp/files/patch-sesman__session_1.patch
  head/net/xrdp/files/patch-sesman__verify_user_pam.c
  head/net/xrdp/pkg-plist
Comment 3 Bartek Rutkowski freebsd_committer 2014-11-15 00:30:56 UTC
Committed, thanks for your work!